package jchess;


import javafx.application.Application;
import javafx.scene.Scene;
import javafx.scene.input.KeyEvent;
import javafx.scene.layout.BorderPane;
import javafx.scene.layout.GridPane;
import javafx.scene.paint.Color;
import javafx.scene.shape.Rectangle;
import javafx.stage.Stage;

public class App extends Application {

    public final static int WIDTH = 500, HEIGHT = 500;
    public final static String PROGRAM_NAME = "JChess";
    public static void main(String[] args) {
        launch();
    }

    @Override
    public void start(Stage primaryStage) throws Exception {
        BorderPane root = new BorderPane();

        GridPane board = new GridPane();

        Rectangle[][] cases = new Rectangle[8][8];
        for (int i = 0; i < 8; i++) {
            for (int j = 0; j < 8; j++) {
                cases[i][j] = new Rectangle(WIDTH/8, HEIGHT/8);
                cases[i][j].setFill((i + j) % 2 == 0 ? Color.WHITE : Color.LIGHTGRAY);
                board.add(cases[i][j], i, j);
            }
        }


        root.setCenter(board);
        Scene scene = new Scene(root, WIDTH, HEIGHT);
        scene.addEventHandler(KeyEvent.KEY_PRESSED, new KeyboardEvent());
        primaryStage.setScene(scene);
        primaryStage.setTitle(PROGRAM_NAME);
        primaryStage.show();
    }
}
